body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #f7f5fb;
    color: #000;
    background: url('https://cdn.pixabay.com/photo/2023/11/15/13/09/ai-generated-8390026_1280.jpg') no-repeat center center fixed;
    background-size: cover;
}

header {
    background-color: #34196a;
    color: #f7f5fb;
    padding: 0.5rem;
    text-align: center;
}

.container {
    width: 100%;
    margin: 20px auto;
    padding: 20px;
    background-color: #a585e6;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    max-width: 1200px;
    opacity: 90%;
}

.profile {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    margin-bottom: 40px;
}

.profile-pic {
    border-radius: 50%;
    width: 200px;
    height: 200px;
    margin-bottom: 20px;
}
.profile-description {
    max-width: 600px;
    font-size: larger;
}


.projects {
    padding: 2rem;
}

.project-card {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 1rem 0;
    position: relative;
    flex-wrap: nowrap; 
    gap: 10rem; 
}

.project-card img {
    width: 100%;
    max-width: 400px;
    height: auto;
    border-radius: 4px;
    object-fit: cover;
    margin-bottom: 2rem; 
}

.project-text {
    max-width: 400px;
    height: auto; 
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.project-text h2 {
    margin-top: 0;
}

.proj-h2 {
    text-align: center;
    padding: 10px;
}

.project-number {
    font-size: 1.5rem;
    font-weight: bold;
    position: relative; 
    margin-right: 2rem; 
}

.links {
    margin-top: 1rem;
}

.button {
    display: inline-block;
    padding: 0.5rem 1rem;
    margin-right: 0.5rem;
    text-decoration: none;
    color: #fff;
    background-color: #272838;
    border-radius: 4px;
    border: 1px solid transparent;
    transition: background-color 0.3s ease;
}

.button:hover {
    background-color: #70739c;
}

hr {
    border: none;
    margin: 2rem 0;
}

footer {
    background-color: none;
    padding: 20px;
    text-align: left;
}

.footer-content {
    display: flex;
    align-items: center;
    justify-content: center;
}


/* MEDIA QUERIES*/

@media (max-width: 1450px) {
    .project-card {
        gap: 10rem;
    }

    .project-card img {
        max-width: 350px;
    }

    .project-text {
        max-width: 350px;
    }
}

@media (max-width: 1200px) {
    .project-card {
        gap: 10rem;
    }

    .project-card img {
        max-width: 300px;
    }

    .project-text {
        max-width: 300px;
    }
}

@media (max-width: 1055px) {
    .project-card {
        gap: 5rem;
    }

    .project-card img {
        max-width: 250px;
    }

    .project-text {
        max-width: 250px;
    }
}

@media (max-width: 790px) {
    .project-number {
        font-size: 1.5rem;
        font-weight: bold;
        position: relative; 
        margin-right: 2rem; 
        align-self: flex-start; 
    }
    .project-card {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 1rem;
    }

    .project-card img {
        max-width: 100%;
        margin-bottom: 1rem;
    }

    .project-text {
        max-width: 100%;
        margin-bottom: 1rem;
    }

    .project-number {
        position: static;
        margin-bottom: 1rem;
    }
}

@media (max-width: 768px) {
    header h1 {
        font-size: 2rem;
    }

    header p {
        font-size: 1rem;
    }
    .profile {
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 480px) {
    header h1 {
        font-size: 1.5rem;
    }

    header p {
        font-size: 0.875rem;
    }

    .profile-description {
        max-width: 100%;
    }

}